%global debug_package %{nil}

Name:           ublue-fastfetch
Version:        0.1.3
Release:        1%{?dist}
Summary:        Fastfetch configuration for Universal Blue systems

License:        Apache-2.0
URL:            https://github.com/ublue-os/packages
VCS:            git+https://github.com/ublue-os/packages.git#117fccc6e06d5330b31ec2b0410c14ed83517890:packages/ublue-fastfetch
Source:         packages-packages-ublue-fastfetch-117fccc6.tar.gz

Requires:       fastfetch

%description
Fastfetch configuration for Universal Blue systems

%prep
%setup -T -b 0 -q -n packages-packages-ublue-fastfetch

%install
install -Dm0755 ./src/%{name} %{buildroot}%{_libexecdir}/%{name}
install -Dm0755 ./src/ublue-bling-fastfetch %{buildroot}%{_libexecdir}/ublue-bling-fastfetch
install -Dm0755 ./src/vendor.sh %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh
install -Dm0755 ./src/vendor.fish %{buildroot}%{_datadir}/fish/vendor_conf.d/%{name}.fish

%files
%{_libexecdir}/%{name}
%{_libexecdir}/ublue-bling-fastfetch
%{_sysconfdir}/profile.d/%{name}.sh
%{_datadir}/fish/vendor_conf.d/%{name}.fish

%changelog
%autochangelog
